/*
 * event.h
 *
 *
 *  Created on: 21-05-2014
 *      Author: KJ
 */

#ifndef EVENT_H_
#define EVENT_H_

#include "tdefs.h"

struct event_logic
{
	u8 *in_ptr;
	u8 in_bit_no;
	u8 prev_state;
	u8 transition_cnt; // lockbit|b6..b0
};

struct event_io
{
	u32 in;
}__attribute__((__packed__));

struct event_params
{
	u32 fun;
	u32 inf;
}__attribute__((__packed__));

struct event_args
{
	struct event_io io;
	struct event_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int event_initlog(void *args, void *logic);

#endif /* EVENT_H_ */
